import unittest


import vdcpy.file as vdc_file
import vdcpy.work as vdc_work
import tests.utils.work_util as work_util
import tests.utils.project_util as project_util
import tests.utils.user_util as user_util
import tests.utils.file_util as file_util


class AddFileTest(unittest.TestCase):

    def setUp(self):
        user_util.delete_unittest_users()
        user_util.add_unittest_user()
        project_util.add_unittest_project()
        work_util.add_unittest_work()
        file_util.make_temp_file_in_temp_folder()

    def test_successful_add_file(self):
        # Get the unittest work id
        work_list = vdc_work.get_works(title='unittest_work')
        work_id = work_list[0]['id']
        # Add the file
        file_info = vdc_file.add_file(
            work_id=work_id, file_path='temp/unittest.txt'
        )
        self.assertEqual(type(file_info), dict)

    def tearDown(self):
        file_util.delete_unittest_files()
        work_util.delete_unittest_works()
        project_util.delete_unittest_project()
        user_util.delete_unittest_users()
        file_util.delete_test_file_and_temp_folder()
