import unittest

import vdcpy.link as vdc_link
import tests.utils.user_util as user_util
import tests.utils.project_util as project_util
import tests.utils.work_util as work_util
import tests.utils.link_util as link_util


class DeleteLinkTest(unittest.TestCase):

    def setUp(self):
        # Delete all unittest users.
        user_util.delete_unittest_users()
        # Add a unittest user.
        user_util.add_unittest_user()
        # Add a unittest project.
        project_util.add_unittest_project()
        # Add a unittest work.
        work_util.add_unittest_work()
        # Add a unittest link.
        link_util.add_unittest_link()

    def test_successful_delete_link(self):
        # Get unittest link id
        link_list = vdc_link.get_links(name='unittest_name')
        link_id = link_list[0]['id']
        # Delete the unittest work.
        response = vdc_link.delete_link(link_id)
        self.assertEqual(response, True)

    def TearDown(self):
        link_util.delete_unittest_links()
        work_util.delete_unittest_works()
        project_util.delete_unittest_project()
        # Delete all unittest users.
        user_util.delete_unittest_users()