import unittest

import vdcpy.link as vdc_link
import tests.utils.project_util as project_util
import tests.utils.user_util as user_util
import tests.utils.work_util as work_util
import tests.utils.link_util as link_util


class UpdateLinkTest(unittest.TestCase):

    def setUp(self):
        user_util.delete_unittest_users()
        user_util.add_unittest_user()
        project_util.delete_unittest_project()
        project_util.add_unittest_project()
        work_util.add_unittest_work()
        link_util.add_unittest_link()

    def test_successful_update_link_link(self):
        # Get unittest link id
        link_list = vdc_link.get_links(name='unittest_name')
        link_id = link_list[0]['id']
        new_info = {
            'link': 'unittest_link_updated'
        }
        updated_link = vdc_link.update_link(link_id, new_info)
        self.assertEqual(type(updated_link), dict)

    def tearDown(self):
        work_util.delete_unittest_works()
        project_util.delete_unittest_project()
        user_util.delete_unittest_users()
