import unittest

import vdcpy.project as vdc_project
import tests.utils.user_util as user_util
import tests.utils.project_util as project_util

class DeleteProjectTest(unittest.TestCase):

    def setUp(self):
        # Delete all unittest users.
        user_util.delete_unittest_users()
        # Add a unittest user.
        user_util.add_unittest_user()
        # Add a unittest project.
        project_util.add_unittest_project()
    
    def test_successful_delete_project(self):
        # Get the id of the unittest project.
        project_list = vdc_project.get_projects(title='unittest_project')
        project_id = project_list[0]['id']
        # Delete the unittest project.
        response = vdc_project.delete_project(project_id)
        self.assertEqual(response, True)

    def TearDown(self):
        project_util.delete_unittest_project()
        # Delete all unittest users.
        user_util.delete_unittest_users()