import vdcpy.project as vdc_project
import vdcpy.user as vdc_user

def add_unittest_project():
    """
    Add a unittest project.
    """
    # Get unittest user id
    user_list = vdc_user.get_users(email='test@test.test')
    user_id = user_list[0]['id']

    project_info = {
        'title': 'unittest_project',
        'created_by': user_id,
        'size': '1_gb',
        'visibility': 'open'
    }
    vdc_project.add_project(project_info)


def delete_unittest_project():
    """
    Delete all unittest projects.
    """
    # Get all unittest projects.
    project_list = vdc_project.get_projects(title='unittest_title')
    for project_info in project_list:
        project_id = project_info['id']
        # Delete all unittest projects.
        vdc_project.delete_project(project_id)
    
    project_list = vdc_project.get_projects(title='unittest_title_updated')
    for project_info in project_list:
        project_id = project_info['id']
        # Delete all unittest projects.
        vdc_project.delete_project(project_id)
